Broken dependencies Maven build of java-idp-kerberos-login-handler

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Broken dependencies Maven build of java-idp-kerberos-login-handler

Xisco Fernandez
Hello Forum!,

I have a brand new functional Shibboleth 2 installation. I am login against LDAP and on the SP side I can correctly get the attributes I have defined.

My next goal is to achieve Kerberos authentication. I am following https://wiki.shibboleth.net/confluence/display/SHIB2/Kerberos+Login+Handler but I am facing problems building with mvn.

The file pom.xml included in:

svn export https://subversion.switch.ch/svn/general/aai/java-idp-kerberos-login-handler/tags/X.0 java-idp-kerberos-login-handler

is still pointing to the old hosting of the shibboleth project:

 <repositories>
        <repository>
            <id>shibboleth.internet2.edu</id>
            <name>Internet2</name>
            <layout>default</layout>
            <url>http://shibboleth.internet2.edu/downloads/maven2</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

When the maven process starts it throws these warnings:

[root@soticprgidsaml01v java-idp-kerberos-login-handler]# cat /tmp/test|grep WARNING
[WARNING]
[WARNING] Some problems were encountered while building the effective model for ch.SWITCH.aai.idp.kerberos:kerberos-login-handler:jar:1.0
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ line 73, column 21
[WARNING] 'reporting.plugins.plugin.version' for org.apache.maven.plugins:maven-javadoc-plugin is missing. @ line 106, column 21
[WARNING]
[WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
[WARNING]
[WARNING] For this reason, future Maven versions might no longer support building such malformed projects.
[WARNING]
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/javax/servlet/servlet-api/2.4/servlet-api-2.4.pom
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/javax/servlet/servlet-api/2.4/servlet-api-2.4.pom
[WARNING] The POM for javax.servlet:servlet-api:jar:2.4 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/edu/internet2/middleware/shibboleth-identityprovider/2.1.5/shibboleth-identityprovider-2.1.5.pom
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/edu/internet2/middleware/shibboleth-identityprovider/2.1.5/shibboleth-identityprovider-2.1.5.pom
[WARNING] The POM for edu.internet2.middleware:shibboleth-identityprovider:jar:2.1.5 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-mock/2.0.8/spring-mock-2.0.8.pom
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-mock/2.0.8/spring-mock-2.0.8.pom
[WARNING] The POM for org.springframework:spring-mock:jar:2.0.8 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/junit/junit/4.8.1/junit-4.8.1.pom
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/junit/junit/4.8.1/junit-4.8.1.pom
[WARNING] The POM for junit:junit:jar:4.8.1 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-test/2.5.6.SEC02/spring-test-2.5.6.SEC02.pom
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-test/2.5.6.SEC02/spring-test-2.5.6.SEC02.pom
[WARNING] The POM for org.springframework:spring-test:pom:2.5.6.SEC02 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/junit/junit/4.8.1/junit-4.8.1.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-mock/2.0.8/spring-mock-2.0.8.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/edu/internet2/middleware/shibboleth-identityprovider/2.1.5/shibboleth-identityprovider-2.1.5.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/junit/junit/4.8.1/junit-4.8.1.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/org/springframework/spring-mock/2.0.8/spring-mock-2.0.8.jar
[WARNING] Checksum validation failed, expected <!DOCTYPE but is affd78577c56997305dbbf64fcff88186ee59d6c for http://shibboleth.internet2.edu/downloads/maven2/edu/internet2/middleware/shibboleth-identityprovider/2.1.5/shibboleth-identityprovider-2.1.5.jar
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build is platform dependent!
[WARNING] File encoding has not been set, using platform encoding UTF-8, i.e. build is platform dependent!

Is there an up to date pom.xml with the correct url for downloading dependencies?

Thanks in advanced,

Xisco.